OpenTTD Source: SaveLoadFormat Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
SaveLoadFormat Struct Reference

The format for a reader/writer type of a savegame. More...

## Data Fields
const char * | name
| name of the compressor/decompressor (debug-only)
uint32_t | tag
| the 4-letter tag by which it is identified in the savegame
std::shared_ptr< LoadFilter >(* | init_load )(std::shared_ptr< LoadFilter > chain)
| Constructor for the load filter.
std::shared_ptr< SaveFilter >(* | init_write )(std::shared_ptr< SaveFilter > chain, uint8_t compression)
| Constructor for the save filter.
uint8_t | min_compression
| the minimum compression level of this format
uint8_t | default_compression
| the default compression level of this format
uint8_t | max_compression
| the maximum compression level of this format

## Detailed Description

The format for a reader/writer type of a savegame.

Definition at line 2688 of file saveload.cpp.

## Field Documentation

## ◆ default_compression

uint8_t SaveLoadFormat::default_compression

the default compression level of this format

Definition at line 2696 of file saveload.cpp.

Referenced by GetSavegameFormat().

## ◆ init_load

std::shared_ptr< LoadFilter >(* SaveLoadFormat::init_load) (std::shared_ptr< LoadFilter > chain)

Constructor for the load filter.

Definition at line 2690 of file saveload.cpp.

Referenced by DoLoad().

## ◆ init_write

std::shared_ptr< SaveFilter >(* SaveLoadFormat::init_write) (std::shared_ptr< SaveFilter > chain, uint8_t compression)

Constructor for the save filter.

Definition at line 2690 of file saveload.cpp.

## ◆ max_compression

uint8_t SaveLoadFormat::max_compression

the maximum compression level of this format

Definition at line 2697 of file saveload.cpp.

## ◆ min_compression

uint8_t SaveLoadFormat::min_compression

the minimum compression level of this format

Definition at line 2695 of file saveload.cpp.

## ◆ name

const char* SaveLoadFormat::name

name of the compressor/decompressor (debug-only)

Definition at line 2689 of file saveload.cpp.

Referenced by DoLoad(), and GetSavegameFormat().

## ◆ tag

uint32_t SaveLoadFormat::tag

the 4-letter tag by which it is identified in the savegame

Definition at line 2690 of file saveload.cpp.

Referenced by DetermineSaveLoadFormat().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp